build_settings:
  clone_depth: 1
  verbose: true
  ignore:
    - vendor

setup:
  composer:
    action: install
    prefer_dist: true

test:
  php_parallel_lint: ~
  php_unit: ~
  php_loc: ~
  php_cpd:
    allow_failures: true
  php_mess_detector:
    rules:
        - phpmd.xml
    allow_failures: true

complete:
  email:
    committer: true
    addresses:
      - guillaume.perreal@irstea.fr

success:
  shell:
    - curl 'http://istest.lyon.cemagref.fr/satis/trigger.php?package=irstea/file-upload-bundle'
